Page MenuHomePhabricator

Implement an archiving mechanism for completed questions
Closed, ResolvedPublic456 Estimate Story Points

Description

Figure out a way to archive completed questions in the system.

Event Timeline

prnk28 created this task.Jul 19 2016, 3:55 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 19 2016, 3:55 PM

For filenumber sets with (-d)one files indicating completion of a
recommendation, we can append them all to a log file that we rotate weekly,
with headers indicating their original filename and timestamp, in -q, -a,
-r, -e, -o, -t, -d order. (Priyanka is that the correct order?)

Jsalsman triaged this task as High priority.Aug 5 2016, 6:00 PM
Jsalsman set the point value for this task to 456.

@prnk28 please log all files on f.close() AND (this is new!:) add all GET accesses to the same log which rotates daily.

The weekly logs will be the (-d)one file sets.

Don't delete any files for the time being.

There is a new directory /logs for logging.
There are two types of log files:

  1. activity-yyyymmdd -- logs info such as token, ip, qnum, qtype, request method after every GET and POST request in /ask, /answer, /recommend
  2. results-yyyymmdd -- logs qnum, all associated qtypes with modtimes after POST on /recommend

commit is here

prnk28 closed this task as Resolved.Aug 14 2016, 7:51 PM